Debian Bug report logs - #598306
torcs: CVE-2010-3384: insecure library loading

version graph

Package: torcs; Maintainer for torcs is Rudy Godoy <rudy@stone-head.org>; Source for torcs is src:torcs.

Reported by: Raphael Geissert <geissert@debian.org>

Date: Tue, 28 Sep 2010 04:25:18 UTC

Severity: grave

Tags: security

Found in version torcs/1.3.1-4

Fixed in version torcs/1.3.1-5

Done: Rudy Godoy <rudy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Rudy Godoy <rudy@debian.org>:
Bug#598306; Package torcs. (Tue, 28 Sep 2010 04:25:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
New Bug report received and forwarded. Copy sent to Rudy Godoy <rudy@debian.org>. (Tue, 28 Sep 2010 04:25:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: torcs: CVE-2010-3384: insecure library loading
Date: Tue, 28 Sep 2010 04:23:05 +0000
Package: torcs
Version: 1.3.1-4
Severity: grave
Tags: security
User: team@security.debian.org
Usertags: ldpath

Hello,

During a review of the Debian archive, I've found your package to
contain a script that can be abused by an attacker to execute arbitrary
code.

The vulnerability is introduced by an insecure change to
LD_LIBRARY_PATH, and environment variable used by ld.so(8) to look for
libraries on a directory other than the standard paths.

Vulnerable code follows:

/usr/games/nfsperf line 30:
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$LIBDIR/lib
/usr/games/accc line 30:
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$LIBDIR/lib
/usr/games/texmapper line 30:
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$LIBDIR/lib
/usr/games/trackgen line 30:
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$LIBDIR/lib
/usr/games/nfs2ac line 30:
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$LIBDIR/lib
/usr/games/torcs line 40:
    export LD_LIBRARY_PATH=$LIBDIR/lib:$LD_LIBRARY_PATH

When there's an empty item on the colon-separated list of
LD_LIBRARY_PATH, ld.so treats it as '.' (i.e. CWD/$PWD.)
If the given script is executed from a directory where a potential,
local, attacker can write files to, there's a chance to exploit this
bug.

This vulnerability has been assigned the CVE id CVE-2010-3384. Please make sure
you mention it when forwarding this report to upstream and when fixing
this bug (everywhere: upstream and here at Debian.)

[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-3384
[1] http://security-tracker.debian.org/tracker/CVE-2010-3384

Sincerely,
Raphael Geissert




Reply sent to Rudy Godoy <rudy@debian.org>:
You have taken responsibility. (Mon, 11 Oct 2010 20:58:17 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Mon, 11 Oct 2010 20:58:17 GMT) Full text and rfc822 format available.

Message #10 received at 598306-close@bugs.debian.org (full text, mbox):

From: Rudy Godoy <rudy@debian.org>
To: 598306-close@bugs.debian.org
Subject: Bug#598306: fixed in torcs 1.3.1-5
Date: Mon, 11 Oct 2010 20:49:20 +0000
Source: torcs
Source-Version: 1.3.1-5

We believe that the bug you reported is fixed in the latest version of
torcs, which is due to be installed in the Debian FTP archive:

torcs_1.3.1-5.diff.gz
  to main/t/torcs/torcs_1.3.1-5.diff.gz
torcs_1.3.1-5.dsc
  to main/t/torcs/torcs_1.3.1-5.dsc
torcs_1.3.1-5_amd64.deb
  to main/t/torcs/torcs_1.3.1-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598306@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rudy Godoy <rudy@debian.org> (supplier of updated torcs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 09 Oct 2010 17:56:12 -0500
Source: torcs
Binary: torcs
Architecture: source amd64
Version: 1.3.1-5
Distribution: unstable
Urgency: low
Maintainer: Rudy Godoy <rudy@debian.org>
Changed-By: Rudy Godoy <rudy@debian.org>
Description: 
 torcs      - 3D racing cars simulator game using OpenGL
Closes: 598306
Changes: 
 torcs (1.3.1-5) unstable; urgency=low
 .
   * Fixed insecure library loading (LD_LIBRARY_PATH) (CVE-2010-3384) Closes: #598306.
Checksums-Sha1: 
 a4d84c15f31fb3acb2077da8e42cc6475f153901 1273 torcs_1.3.1-5.dsc
 2e101bb2d75acb4e83214ff4f192c532642013f9 8505 torcs_1.3.1-5.diff.gz
 3fe26bfe71128ce2442295d7cd0882dcb67ccfb6 10904582 torcs_1.3.1-5_amd64.deb
Checksums-Sha256: 
 deefc7140880d523fc104ede201a067ab193fbbad8cad72a2fbe7c41b0e813e6 1273 torcs_1.3.1-5.dsc
 2f6fe6f56e69d865dcc246f2940b4eccea88c458931733e87662a34caaa4eae0 8505 torcs_1.3.1-5.diff.gz
 c07f2f80265030c515c7df430bc0bfb03d9d4f0370ff555d4eab084a7e119864 10904582 torcs_1.3.1-5_amd64.deb
Files: 
 9a458447a981f3216dd8b233e761ed58 1273 games optional torcs_1.3.1-5.dsc
 0d2c28942cc56f9ced87aac1d5be1e0a 8505 games optional torcs_1.3.1-5.diff.gz
 18d8fb21c7abc0e0e283a4a9b289fcf0 10904582 games optional torcs_1.3.1-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyw9RkACgkQVQ8aADQzvSHEwwCeK9gmX3PtVSvLcBx9GeRS5q7G
IRQAoKlEXKc9Y3mdqQi8pcEcCWK1qTan
=X/Jc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Nov 2010 07:30:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:31:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.